#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open("README.rst") as readme_file:
    readme = readme_file.read()

with open("HISTORY.rst") as history_file:
    history = history_file.read()


def parse_requirements(filename):
    """Load requirements from a pip requirements file."""
    lineiter = (line.strip() for line in open(filename))
    return [line for line in lineiter if line and not line.startswith("#")]


requirements_folder = "requirements"

install_requires = parse_requirements(f"{requirements_folder}/default.txt")
files = ["dev", "docs", "default"]
extras_require = {
    file: parse_requirements(f"{requirements_folder}/{file}.txt") for file in files
}

test_requirements = [
    "pytest>=3",
]

setup(
    author="Unnati Patel",
    author_email="unnati97@gmail.com",
    python_requires=">=3.9",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    description="This package converts jsonl file generated by twarc2 to sql database in an opnionated way.",
    install_requires=install_requires,
    license="MIT license",
    long_description=readme + "\n\n" + history,
    include_package_data=True,
    keywords="twarc2sql",
    name="twarc2sql",
    packages=find_packages(include=["twarc2sql", "twarc2sql.*"]),
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/unna97/twarc2sql",
    version="0.2.1",
    zip_safe=False,
    extras_require=extras_require,
)
